Field (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.classfile.Field class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Class Field

    java.lang.Object
      org.apache.bcel.classfile.AccessFlags
          org.apache.bcel.classfile.FieldOrMethod
              org.apache.bcel.classfile.Field

All Implemented Interfaces:
  Serializable, Cloneable, Node

    public final class Field

extends FieldOrMethod

This class represents the field info structure, i.e., the representation for a variable in the class. See JVM specification for details.

Version:
  $Id: Field.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.FieldOrMethod
`attributes, attributes_count, constant_pool, name_index, signature_index`

Fields inherited from class org.apache.bcel.classfile.AccessFlags
`access_flags`

Constructor Summary
`Field(Field c)` Initialize from another object.
`Field(int access_flags, int name_index, int signature_index, Attribute[] attributes, ConstantPool constant_pool)`

Method Summary
`void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`Field` | `copy(ConstantPool _constant_pool)`
`boolean` | `equals(Object obj)` Return value as defined by given BCELComparator strategy.
`static BCELComparator` | `getComparator()`
`ConstantValue` | `getConstantValue()`
`Type` | `getType()`
`int` | `hashCode()` Return value as defined by given BCELComparator strategy.
`static void` | `setComparator(BCELComparator comparator)`
`String` | `toString()` Return string representation close to declaration format, `public static final short MAX = 100', e.g..

Methods inherited from class org.apache.bcel.classfile.FieldOrMethod
`copy_, dump, getAttributes, getConstantPool, getName, getNameIndex, getSignature, getSignatureIndex, setAttributes, setConstantPool, setNameIndex, setSignatureIndex`

Methods inherited from class org.apache.bcel.classfile.AccessFlags
`getAccessFlags, getModifiers, isAbstract, isAbstract, isAnnotation, isAnnotation, isEnum, isEnum, isFinal, isFinal, isInterface, isInterface, isNative, isNative, isPrivate, isPrivate, isProtected, isProtected, isPublic, isPublic, isStatic, isStatic, isStrictfp, isStrictfp, isSynchronized, isSynchronized, isSynthetic, isSynthetic, isTransient, isTransient, isVolatile, isVolatile, setAccessFlags, setModifiers`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Field

    public Field(Field c)

  Initialize from another object. Note that both objects use the same references (shallow copy). Use clone() for a physical copy.

### Field

    public Field(int access_flags,
                 int name_index,
                 int signature_index,
                 Attribute[] attributes,
                 ConstantPool constant_pool)

Parameters:
  `access_flags` - Access rights of field
  `name_index` - Points to field name in constant pool
  `signature_index` - Points to encoded signature
  `attributes` - Collection of attributes
  `constant_pool` - Array of constants

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Parameters:
    `v` - Visitor object

### getConstantValue

    public final ConstantValue getConstantValue()

  Returns:
    constant value associated with this field (may be null)

### toString

    public final String toString()

  Return string representation close to declaration format, `public static final short MAX = 100', e.g..

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation of field, including the signature.

### copy

    public final Field copy(ConstantPool _constant_pool)

  Returns:
    deep copy of this field

### getType

    public Type getType()

  Returns:
    type of field

### getComparator

    public static BCELComparator getComparator()

  Returns:
    Comparison strategy object

### setComparator

    public static void setComparator(BCELComparator comparator)

  Parameters:
    `comparator` - Comparison strategy object

### equals

    public boolean equals(Object obj)

  Return value as defined by given BCELComparator strategy. By default two Field objects are said to be equal when their names and signatures are equal.

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Return value as defined by given BCELComparator strategy. By default return the hashcode of the field's name XOR signature.

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.